- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDParameterAnimatableT< TYPE, QUALIFIERS > Class Template Reference
[The generic FCollada parameter interface.]

A typed animatable FCollada value parameter. More...

`#include <FCDParameterAnimatable.h>`

Inheritance diagram for FCDParameterAnimatableT< TYPE, QUALIFIERS >:

List of all members.

## Public Member Functions
| FCDParameterAnimatableT (FUParameterizable *parent)
| Constructor.
| FCDParameterAnimatableT (FUParameterizable *parent, const TYPE &defaultValue)
| Constructor.
virtual | ~FCDParameterAnimatableT ()
| Destructor.
| operator TYPE & ()
| Retrieves the value or a reference to the value.
| operator const TYPE & () const
| See above.
TYPE & | operator * ()
| See above.
const TYPE & | operator * () const
| See above.
TYPE * | operator-> ()
| See above.
const TYPE * | operator-> () const
| See above.
FCDParameterAnimatableT< TYPE, QUALIFIERS > & | operator= (const TYPE &copy)
| Assigns to this parameter the given value.
## Protected Member Functions
virtual FCDAnimated * | CreateAnimated ()
| Created the correct FCDAnimated helper object, done by request from the parent class.

## Detailed Description

### template<class TYPE, int QUALIFIERS>
class FCDParameterAnimatableT< TYPE, QUALIFIERS >

A typed animatable FCollada value parameter.

## Constructor & Destructor Documentation

template<class TYPE, int QUALIFIERS>
FCDParameterAnimatableT< TYPE, QUALIFIERS >::FCDParameterAnimatableT | ( | FUParameterizable * | parent | ) |

  | Constructor. Parameters:
  | parent | The FCollada object that owns this parameter.

template<class TYPE, int QUALIFIERS>
FCDParameterAnimatableT< TYPE, QUALIFIERS >::FCDParameterAnimatableT | ( | FUParameterizable * | parent,
|  | const TYPE & | defaultValue
| ) |

  | Constructor. Parameters:
  | parent | The FCollada object that owns this parameter.
  | defaultValue | A default value to assign to this parameter.

## Member Function Documentation

template<class TYPE, int QUALIFIERS>
virtual FCDAnimated* FCDParameterAnimatableT< TYPE, QUALIFIERS >::CreateAnimated | ( |  | ) | `[protected, virtual]`

| Created the correct FCDAnimated helper object, done by request from the parent class. Returns: A newly-created FCDAnimated helper object. Reimplemented from FCDParameterAnimatable.

template<class TYPE, int QUALIFIERS>
FCDParameterAnimatableT< TYPE, QUALIFIERS >::operator TYPE & | ( |  | ) | `[inline]`

| Retrieves the value or a reference to the value. Returns: The value or a reference to it.

template<class TYPE, int QUALIFIERS>
FCDParameterAnimatableT< TYPE, QUALIFIERS > & FCDParameterAnimatableT< TYPE, QUALIFIERS >::operator= | ( | const TYPE & | copy | ) |

  | Assigns to this parameter the given value. Parameters:
  | copy | A value of the correct type.
Returns: A reference to this parameter.

The documentation for this class was generated from the following files:

- FCDocument/FCDParameterAnimatable.h
- FCDocument/FCDParameterAnimatable.hpp